# Class DefaultServlet.SortManager.Order

java.lang.Object
org.apache.catalina.servlets.DefaultServlet.SortManager.Order

Enclosing class:
  `DefaultServlet.SortManager`

public static class DefaultServlet.SortManager.Order extends Object
Order specification for directory listing sorting.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final DefaultServlet.SortManager.Order`
`DEFAULT`
Default sort order (name descending).
`static final DefaultServlet.SortManager.Order`
`LAST_MODIFIED`
Sort by last modified descending.
`static final DefaultServlet.SortManager.Order`
`LAST_MODIFIED_ASC`
Sort by last modified ascending.
`static final DefaultServlet.SortManager.Order`
`NAME`
Sort by name descending.
`static final DefaultServlet.SortManager.Order`
`NAME_ASC`
Sort by name ascending.
`static final DefaultServlet.SortManager.Order`
`SIZE`
Sort by size descending.
`static final DefaultServlet.SortManager.Order`
`SIZE_ASC`
Sort by size ascending.

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NAME

public static final DefaultServlet.SortManager.Order NAME
Sort by name descending.

### NAME_ASC

public static final DefaultServlet.SortManager.Order NAME_ASC
Sort by name ascending.

### SIZE

public static final DefaultServlet.SortManager.Order SIZE
Sort by size descending.

### SIZE_ASC

public static final DefaultServlet.SortManager.Order SIZE_ASC
Sort by size ascending.

### LAST_MODIFIED

public static final DefaultServlet.SortManager.Order LAST_MODIFIED
Sort by last modified descending.

### LAST_MODIFIED_ASC

public static final DefaultServlet.SortManager.Order LAST_MODIFIED_ASC
Sort by last modified ascending.

### DEFAULT

public static final DefaultServlet.SortManager.Order DEFAULT
Default sort order (name descending).